# ChebyRuby
[![Gem Version](https://badge.fury.io/rb/ChebyRuby.svg)](https://badge.fury.io/rb/ChebyRuby)

## Name
The name is an homage to one of my favorite mathematicians: [Pafnuty Lvovich
Chebyshev](https://en.wikipedia.org/wiki/Pafnuty_Chebyshev). The Chebyshev polynomial is such an
important concept in mathematics and I am eternally grateful for his discovery of that.
Additionally, shortening his name to the nickname _Cheby_ works really well with Ruby.

## Description
This is a gem that is designed to aid with numerical analysis and scientific computing in Ruby. As
of now it has relatively rudimentary numeric integration and differentiation methods heavily
inspired by the Apache Commons[Math] project. The end goal is for this to be a substantive numerical
analysis suite for Ruby.

## Contributing
Contributors are more than welcome. The style rules I abide by are:
- 2 spaces for indentation
- 80 character max column size
- Single quote unless a double quote is necessary
- Yard style commenting
- Use `Class::X` to refer to a constant and `Class.x` to refer to a class 
method.

## License

This work is under the MIT License. (Eli Sadoff 2016)
